/* 
 * This file is automaticaly generated, Please dont edit this file! 
 */
#include <user.h> 











void user_constructor( user * this ) {

		

		

	}

user user_new() {

	user instance;

	instance.__classIndex = 29;

	instance.addresses = array_newPointer();

	user_constructor( &instance);

	return instance;

}

user * user_newPointer() {

	struct user * pointer = malloc( sizeof ( struct user ) );

	pointer->__classIndex = 29;

	pointer->addresses = array_newPointer();

	user_constructor( pointer );

	return pointer;

}

